Get account info v2

Access the attack status and risk score of an account on your application.

This updated version includes detailed information in the response. We recommend transitioning to this version from the v1.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
ID for an account

Query parameters

days_rangeintegerOptionalDefaults to 30
Customizes the aggregative data calculation. When provided, the following behavior applies: - The `aggregative_data` fields will be calculated based on values observed within the specified time period. - The time period is defined as the last `days_range` days from the current date. - Only data points that fall within this window will be included in the calculations.

Response

Success
account_idstring
The ID for the account.
existsboolean
Whether the specified account exists.
is_under_attackboolean
The status for the attack corresponding to the statuses displayed in the Account Defender portal. Only present if `exists` returns `true`. `true` corresponds to **Pending** attacks. `false` corresponds to: - **Resolved** or **Archived** attacks - The account does not exist - The account exists, but is not under attack
first_seenstringformat: "YYYY-MM-DDTHH:mm:ss.sssZ"

The first time Account Defender encountered this account. Only present if exists returns true.

last_seenstringformat: "YYYY-MM-DDTHH:mm:ss.sssZ"

The last time Account Defender encountered this account. Only present if exists returns true.

emailstring

The account’s email address. Only present if exists returns true.

registration_datestringformat: "YYYY-MM-DDTHH:mm:ss.sssZ"

The date the account was created. Only present if exists returns true.

active_incidentslist of objects

An array of pending incidents on the account. Only present if is_under_attack returns true.

aggregative_dataobject

Statistical information about the account based on the supplied days_range. Only present if calculated information is available for the given days_range.

Errors

400
Bad Request Error
403
Forbidden Error